%global         fontname wqy-microhei
%global         fontconf 66-%{fontname}.conf

Name:           wqy-microhei-fonts		
Version:        0.2.0
Release:        0.25
Summary:        Compact Chinese fonts derived from Droid

License:        ASL 2.0 or GPLv3 with exceptions
URL:            http://wenq.org/en/
Source0:        http://downloads.sourceforge.net/wqy/%{fontname}-%{version}-beta.tar.gz
#Source1 comes frome fedora 11
Source1:        %{name}-fontconfig.conf

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
WenQuanYi Micro Hei font family is a Sans-Serif style (also known as
Hei,
Gothic or Dotum among the Chinese/Japanese/Korean users) high quality

CJK outline font. It was derived from "Droid Sans Fallback", "Droid
Sans" and "Droid Sans Mono" released by Google Corp. This font
package
contains two faces, "Micro Hei" and "Micro Hei Mono", in form of a
True-Type Collection (ttc) file. All the unified CJK Han glyphs, i.e.

GBK Hanzi, in the range of U+4E00-U+9FC3 defined in Unicode Standard
5.1 are covered, with additional support to many other international
languages such as Latin, Extended Latin, Hanguls and Kanas. The font
file is extremely compact (~5M) compared with most known CJK fonts.
As a result, it can be used for hand-held devices or embedded systems,
or used on PC with a significantly small memory footprint. Because both
font faces carry hinting and kerning instructions for Latin glyphs,
they are the excellent choices for desktop fonts.

%package_help

%prep
%autosetup -n %{fontname} -p1

%build

%install
mkdir -p %{buildroot}%{_fontdir}
install -c -m 644 *.ttc %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -c -m 644 %{SOURCE1} %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

%files
%defattr(-,root,root)
%{_sysconfdir}/fonts/*
%{_fontconfig_templatedir}/*
%{_fontdir}/*
%license LICENSE_Apache2.txt LICENSE_GPLv3.txt

%files help
%defattr(-,root,root)
%doc README.txt

%changelog
* Wed Oct 26 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 0.2.0-0.25
- Rebuild for next release

* Fri Sep 6 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.2.0-0.24
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add requires

* Tue Aug 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.2.0-0.23
- Package init
